HBond
Date: 2019-10-22

org.jmol.modelset

## Class HBond

- java.lang.Object
- - org.jmol.util.Edge
  - - org.jmol.modelset.Bond
    - - org.jmol.modelset.HBond

- All Implemented Interfaces:
    SimpleEdge

      public class HBond
      extends Bond

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) float` | `energy`
    `private static double` | `QConst`

    - ### Fields inherited from class org.jmol.modelset.Bond

      `atom1, atom2, colix, mad, myVisibilityFlag, shapeVisibilityFlags`

    - ### Fields inherited from class org.jmol.util.Edge

      `BOND_AROMATIC, BOND_AROMATIC_DOUBLE, BOND_AROMATIC_MASK, BOND_AROMATIC_SINGLE, BOND_COVALENT_DOUBLE, BOND_COVALENT_MASK, BOND_COVALENT_QUADRUPLE, BOND_COVALENT_QUINTUPLE, BOND_COVALENT_sextuple, BOND_COVALENT_SINGLE, BOND_COVALENT_TRIPLE, BOND_H_CALC, BOND_H_CALC_MASK, BOND_H_MINUS_3, BOND_H_MINUS_4, BOND_H_NUCLEOTIDE, BOND_H_PLUS_2, BOND_H_PLUS_3, BOND_H_PLUS_4, BOND_H_PLUS_5, BOND_H_REGULAR, BOND_HBOND_SHIFT, BOND_HYDROGEN_MASK, BOND_NEW, BOND_ORDER_ANY, BOND_ORDER_NULL, BOND_ORDER_UNSPECIFIED, BOND_PARTIAL_MASK, BOND_PARTIAL01, BOND_PARTIAL12, BOND_PARTIAL23, BOND_PARTIAL32, BOND_PYMOL_MULT, BOND_PYMOL_NOMULT, BOND_RENDER_SINGLE, BOND_STEREO_FAR, BOND_STEREO_MASK, BOND_STEREO_NEAR, BOND_STRUT, BOND_SULFUR_MASK, index, order, TYPE_ATROPISOMER, TYPE_ATROPISOMER_REV`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBond(Atom atom1, Atom atom2, int order, short mad, short colix, float energy)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getEnergy()`
    `static int` | `getEnergy(double distAH, double distCH, double distCD, double distAD)`

    - ### Methods inherited from class org.jmol.modelset.Bond

      `deleteAtomReferences, getAtomIndex1, getAtomIndex2, getCIPChirality, getCovalentOrder, getIdentity, getOtherAtom, getOtherNode, getValence, is, isAromatic, isCovalent, isHydrogen, isPartial, isStereo, setAtropisomerOptions, setCIPChirality, setMad, setOrder, setShapeVisibility, setTranslucent, toString`

    - ### Methods inherited from class org.jmol.util.Edge

      `getArgbHbondType, getAtropismNode, getAtropismOrder, getAtropismOrder12, getBondOrderFromFloat, getBondOrderFromString, getBondOrderNameFromOrder, getBondOrderNumberFromOrder, getCmlBondOrder, getCovalentBondOrder, getPartialBondDotted, getPartialBondOrder, isAtropism, isOrderH`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### energy

          float energy

    - #### QConst

          private static final double QConst

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HBond

          public HBond(Atom atom1,
                       Atom atom2,
                       int order,
                       short mad,
                       short colix,
                       float energy)

  - ### Method Detail

    - #### getEnergy

          public float getEnergy()

      Overrides:
        `getEnergy` in class `Bond`

    - #### getEnergy

          public static final int getEnergy(double distAH,
                                            double distCH,
                                            double distCD,
                                            double distAD)

      Parameters:
        `distAH` -
        `distCH` -
        `distCD` -
        `distAD` -
      Returns:
        cal/mol